<?php

namespace CouponsPlus\App\Coupon\Tree\ItemSetsToDiscount\Actions;

/**
 * @template T
 * @return T
 */
class CartAction
{
    protected string $id;
    /**
     * @var T
     */
    protected $options;

    /**
     * @param string $id
     * @param T $options
     */
    public function __construct(string $id, $options)
    {
        $this->id = $id;
        $this->options = $options;
    }

    /**
     * The identifier for the action: (auto-apply, show-notification, show-selectable-products-list, etc.)
     */
    public function getID() : string
    {
        return $this->id;
    }

    /**
     * @return T
     */
    public function getOptions()
    {
        return $this->options;
    }
}